CVE-2019-3894

HIGH
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

It was discovered that the ElytronManagedThread in Wildfly's Elytron subsystem in versions from 11 to 16 stores a SecurityIdentity to run the thread as. These threads do not necessarily terminate if the keep alive time has not expired. This could allow a shared thread to use the wrong security identity when executing.

References

https://access.redhat.com/errata/RHSA-2019:1106

https://access.redhat.com/errata/RHSA-2019:1107

https://access.redhat.com/errata/RHSA-2019:1108

https://access.redhat.com/errata/RHSA-2019:1140

https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2019-3894

https://security.netapp.com/advisory/ntap-20190517-0004/

Details

Source: MITRE

Published: 2019-05-03

Updated: 2020-10-15

Risk Information

CVSS v2

Base Score: 6.5

Vector: AV:N/AC:L/Au:S/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8

Severity: MEDIUM

CVSS v3

Base Score: 8.8

Vector: CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 2.8

Severity: HIGH

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:redhat:wildfly:*:*:*:*:*:*:*:* versions from 11.0.0 to 16.0.0 (inclusive)

Configuration 2

OR

cpe:2.3:a:redhat:jboss_enterprise_application_platform:7.0.0:*:*:*:*:*:*:*

Tenable Plugins

View all (2 total)

IDNameProductFamilySeverity
124841RHEL 7 : JBoss EAP (RHSA-2019:1108)NessusRed Hat Local Security Checks
critical
124840RHEL 6 : JBoss EAP (RHSA-2019:1107)NessusRed Hat Local Security Checks
critical